name: Paxover
slug: paxover
type: theme
version: 1.0.0
description: "Paxover is a theme for Tymoteusz Jóźwiak's personal website"
icon: empire
author:
    name: Tymoteusz Jóźwiak
    email: tymoteusz@jozwiak.top
    url: https://jozwiak.top
homepage: https://codeberg.org/tymoteuszjozwiak/paxover
demo: https://jozwiak.top
keywords: paxover
bugs: https://codeberg.org/tymoteuszjozwiak/paxover/issues
license: MIT

dependencies:
    - { name: grav, version: ">=1.6.0" }

form:
    validation: loose

    fields:
        blog_section:
            type: section
            title: Blog settings
            underline: true

        blog.slug:
            type: text
            label: Blog slug
            help: Route to the blog page
            size: medium
            default: "/blog"

        blog.tag_title:
            type: text
            label: Tag title
            help: Title displayed on tag view page
            size: medium
            default: "Tag"

        blog.tags_title:
            type: text
            label: Tags title
            help: Title displayed on tag list
            size: medium
            default: "Tagi"

        blog.series_title:
            type: text
            label: Series title
            help: Title displayed on series field
            size: medium
            default: "Seria"

        blog.pagination_limit:
            type: text
            label: Blog pagination limit
            help: Limit of posts displayed on one page
            size: medium
            default: "7"

        blog.pagination_newer:
            type: text
            label: Pagination "newer"
            help: Title displayed on "newer" button
            size: medium
            default: "Nowsze"

        blog.pagination_older:
            type: text
            label: Pagination "older"
            help: Title displayed on "older" button
            size: medium
            default: "Starsze"

        blog.share:
            type: text
            label: Share section title
            size: medium
            default: "Udostępnij"

        blog.share_buttons:
            type: list
            label: Share buttons
            btnLabel: Add button

            fields:
                .name:
                    type: text
                    label: Name
                    size: medium
                .class:
                    type: text
                    label: Class (e.g. btn-twitter)
                    size: medium
                .attributes:
                    type: text
                    label: Attributes (e.g. disabled)
                    size: medium
                .link:
                    type: text
                    label: Link
                    size: medium
                .url_param:
                    type: text
                    label: URL param (e.g. url)
                    size: medium
                .title:
                    type: text
                    label: Title
                    size: medium
                .title_en:
                    type: text
                    label: Title [EN]
                    size: medium

        social_section:
            type: section
            title: Main page settings
            underline: true

        social_buttons:
            type: list
            label: Social buttons
            btnLabel: Add button

            fields:
                .name:
                    type: text
                    label: Name
                    size: medium
                .class:
                    type: text
                    label: Class (e.g. btn-twitter)
                    size: medium
                .attributes:
                    type: text
                    label: Attributes (e.g. disabled)
                    size: medium
                .link:
                    type: text
                    label: Link
                    size: medium
                .title:
                    type: text
                    label: Title
                    size: medium
                .title_en:
                    type: text
                    label: Title [EN]
                    size: medium

        contact:
            type: textarea
            label: Contact
            help: Contact info displayed on main page
            size: big
            default: ""

        contact_en:
            type: textarea
            label: Contact EN
            help: English version of the previous field
            size: big
            default: ""

        lang_title_en:
            type: text
            label: Lang title EN
            help: Main language title displayed on english version of main page
            size: medium
            default: ""

        footer_section:
            type: section
            title: Footer settings
            underline: true

        footer.title:
            type: text
            label: Footer link title
            size: medium
            default: ""

        footer.title_en:
            type: text
            label: Footer link title EN
            help: English translation of footer link title
            size: medium
            default: ""

        footer.url:
            type: text
            label: Footer link
            help: Footer link
            size: medium
            default: ""

        footer.year:
            type: number
            label: Footer year
            help: Website start year displayed in footer
            size: medium
            default: "2022"

        analytics:
            type: textarea
            label: Analytics script
            help: Script inserted at the bottom of every page
            size: big
            default: ""

        hashover_section:
            type: section
            title: Hashover integration settings
            underline: true

        hashover.domain:
            type: text
            label: Hashover domain
            help: Domain where your Hashover instance is hosted
            size: medium

        hashover.theme:
            type: text
            label: Hashover theme
            size: medium
            help: Hashover widget theme
            default: "default-borderless"

        hashover.title:
            type: text
            label: Comments section title
            size: medium
            default: "Komentarze"

        hashover.disable_comments:
            type: text
            label: Disable comments info text
            help: Information displayed where the comments are disabled
            size: medium
            default: "Komentarze są wyłączone dla tego artykułu"
